public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
* LVM2/test t-vgsplit-usage.sh
@ 2008-09-30 21:43 mornfall
  0 siblings, 0 replies; 4+ messages in thread
From: mornfall @ 2008-09-30 21:43 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2008-09-30 21:43:55

Modified files:
	test           : t-vgsplit-usage.sh 

Log message:
	Cosmetic: get rid of trailing garbage on comments in t-vgslpit-usage.sh.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-vgsplit-usage.sh.diff?cvsroot=lvm2&r1=1.10&r2=1.11

--- LVM2/test/t-vgsplit-usage.sh	2008/09/30 15:20:09	1.10
+++ LVM2/test/t-vgsplit-usage.sh	2008/09/30 21:43:55	1.11
@@ -77,7 +77,7 @@
 vgremove $vg2 
 vgremove $vg1
 
-# vgsplit rejects split because alloc given with existing vg" \
+# vgsplit rejects split because alloc given with existing vg
 vgcreate -M$mdatype --alloc cling $vg1 $dev1 $dev2 
 vgcreate -M$mdatype --alloc cling $vg2 $dev3 $dev4 
 not vgsplit --alloc cling $vg1 $vg2 $dev1 2>err;
@@ -85,7 +85,7 @@
 vgremove $vg2 
 vgremove $vg1
 
-# vgsplit rejects split because clustered given with existing vg" \
+# vgsplit rejects split because clustered given with existing vg
 vgcreate -M$mdatype --clustered n $vg1 $dev1 $dev2 
 vgcreate -M$mdatype --clustered n $vg2 $dev3 $dev4 
 not vgsplit --clustered n $vg1 $vg2 $dev1 2>err
@@ -93,7 +93,7 @@
 vgremove $vg2 
 vgremove $vg1
 
-# vgsplit rejects vg with active lv" \
+# vgsplit rejects vg with active lv
 pvcreate -M$mdatype -ff $dev3 $dev4 
 vgcreate -M$mdatype $vg1 $dev1 $dev2 
 vgcreate -M$mdatype $vg2 $dev3 $dev4 
@@ -103,7 +103,7 @@
 vgremove -f $vg2 
 vgremove -f $vg1
 
-# vgsplit rejects split because max_lv is exceeded" \
+# vgsplit rejects split because max_lv is exceeded
 vgcreate -M$mdatype --maxlogicalvolumes 2 $vg1 $dev1 $dev2 
 vgcreate -M$mdatype --maxlogicalvolumes 2 $vg2 $dev3 $dev4 
 lvcreate -l 4 -n $lv1 $vg1 
@@ -143,7 +143,7 @@
 vgremove -f $vg2 
 vgremove -f $vg1
 
-# vgsplit rejects split because PV not in VG" \
+# vgsplit rejects split because PV not in VG
 vgcreate -M$mdatype $vg1 $dev1 $dev2 
 vgcreate -M$mdatype $vg2 $dev3 $dev4 
 lvcreate -l 4 -n $lv1 $vg1 


^ permalink raw reply	[flat|nested] 4+ messages in thread

* LVM2/test t-vgsplit-usage.sh
@ 2009-09-02 19:38 wysochanski
  0 siblings, 0 replies; 4+ messages in thread
From: wysochanski @ 2009-09-02 19:38 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	wysochanski@sourceware.org	2009-09-02 19:38:53

Modified files:
	test           : t-vgsplit-usage.sh 

Log message:
	Fix vgsplit test to require -M on ordering of vgnames.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-vgsplit-usage.sh.diff?cvsroot=lvm2&r1=1.13&r2=1.14

--- LVM2/test/t-vgsplit-usage.sh	2009/09/02 18:31:11	1.13
+++ LVM2/test/t-vgsplit-usage.sh	2009/09/02 19:38:53	1.14
@@ -21,12 +21,13 @@
 pvcreate -M$mdatype $devs
 
 # ensure name order does not matter
+# NOTE: if we're using lvm1, we must use -M on vgsplit
 vgcreate -M$mdatype $vg1 $devs
-vgsplit $vg1 $vg2 $dev1
+vgsplit -M$mdatype $vg1 $vg2 $dev1
 vgremove $vg1
 vgremove $vg2
 vgcreate -M$mdatype $vg2 $devs
-vgsplit $vg2 $vg1 $dev1
+vgsplit -M$mdatype $vg2 $vg1 $dev1
 vgremove $vg1
 vgremove $vg2
 


^ permalink raw reply	[flat|nested] 4+ messages in thread

* LVM2/test t-vgsplit-usage.sh
@ 2008-08-12 10:01 mbroz
  0 siblings, 0 replies; 4+ messages in thread
From: mbroz @ 2008-08-12 10:01 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mbroz@sourceware.org	2008-08-12 10:01:56

Modified files:
	test           : t-vgsplit-usage.sh 

Log message:
	test vgsplit: reject to give away pv with the last mda copy (Jaroslav Stava)

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-vgsplit-usage.sh.diff?cvsroot=lvm2&r1=1.7&r2=1.8

--- LVM2/test/t-vgsplit-usage.sh	2008/07/17 04:03:04	1.7
+++ LVM2/test/t-vgsplit-usage.sh	2008/08/12 10:01:56	1.8
@@ -20,7 +20,8 @@
   test -n "$d2" && losetup -d "$d2"
   test -n "$d3" && losetup -d "$d3"
   test -n "$d4" && losetup -d "$d4"
-  rm -f "$f1" "$f2" "$f3" "$f4"
+  test -n "$d5" && losetup -d "$d5"
+  rm -f "$f1" "$f2" "$f3" "$f4" "$f5"
 }
 
 # FIXME: paramaterize lvm1 vs lvm2 metadata; most of these tests should run
@@ -32,6 +33,7 @@
    f2=$(pwd)/2 && d2=$(loop_setup_ "$f2") &&
    f3=$(pwd)/3 && d3=$(loop_setup_ "$f3") &&
    f4=$(pwd)/4 && d4=$(loop_setup_ "$f4") &&
+   f5=$(pwd)/5 && d5=$(loop_setup_ "$f5") &&
    vg1=$(this_test_)-test-vg1-$$          &&
    vg2=$(this_test_)-test-vg2-$$          &&
    lv1=$(this_test_)-test-lv1-$$          &&
@@ -42,7 +44,8 @@
 do
 test_expect_success \
   "(lvm$mdatype) setup PVs" \
-  'pvcreate -M$mdatype $d1 $d2 $d3 $d4'
+  'pvcreate -M$mdatype $d1 $d2 $d3 $d4 &&
+   pvcreate -M$mdatype --metadatacopies 0 $d5'
 
 test_expect_success \
   "(lvm$mdatype) vgsplit accepts new vg as destination of split" \
@@ -197,6 +200,18 @@
    status=$?; echo status=$status; test $status = 5 &&
    vgremove -f $vg2 &&
    vgremove -f $vg1'
+
+test_expect_success \
+  "(lvm2) vgsplit rejects to give away pv with the last mda copy" '
+   vgcreate -M$mdatype $vg1 $d5 $d2  &&
+   lvcreate -l 10 -n $lv1  $vg1 &&
+   lvchange -an $vg1/$lv1 &&
+   vg_validate_pvlv_counts_ $vg1 2 1 0 &&
+   vgsplit  $vg1 $vg2 $d5;
+   status=$?; echo status=$status; test $status != 0 &&
+   vg_validate_pvlv_counts_ $vg1 2 1 0 &&
+   vgremove -ff $vg1
+'
 done
 
 test_expect_success \


^ permalink raw reply	[flat|nested] 4+ messages in thread

* LVM2/test t-vgsplit-usage.sh
@ 2008-07-17  4:03 wysochanski
  0 siblings, 0 replies; 4+ messages in thread
From: wysochanski @ 2008-07-17  4:03 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	wysochanski@sourceware.org	2008-07-17 04:03:04

Modified files:
	test           : t-vgsplit-usage.sh 

Log message:
	Only use lvm2 metadata for now.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-vgsplit-usage.sh.diff?cvsroot=lvm2&r1=1.6&r2=1.7

--- LVM2/test/t-vgsplit-usage.sh	2008/07/17 03:17:01	1.6
+++ LVM2/test/t-vgsplit-usage.sh	2008/07/17 04:03:04	1.7
@@ -38,7 +38,7 @@
    lv2=$(this_test_)-test-lv2-$$          &&
    lv3=$(this_test_)-test-lv3-$$'
 
-for mdatype in 1 2
+for mdatype in 2
 do
 test_expect_success \
   "(lvm$mdatype) setup PVs" \


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2009-09-02 19:38 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2008-09-30 21:43 LVM2/test t-vgsplit-usage.sh mornfall
  -- strict thread matches above, loose matches on Subject: below --
2009-09-02 19:38 wysochanski
2008-08-12 10:01 mbroz
2008-07-17  4:03 wysochanski

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).